curl --request POST \
--url https://apigw.mka1.com/api/v1/authentication/api-key/exchange-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audience": "https://my-awesome-website.com",
"externalUserId": "the-user-id-in-your-system",
"expiresIn": 3600,
"permissions": [
"agent:create",
"agent:read"
]
}
'import requests
url = "https://apigw.mka1.com/api/v1/authentication/api-key/exchange-token"
payload = {
"audience": "https://my-awesome-website.com",
"externalUserId": "the-user-id-in-your-system",
"expiresIn": 3600,
"permissions": ["agent:create", "agent:read"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audience: 'https://my-awesome-website.com',
externalUserId: 'the-user-id-in-your-system',
expiresIn: 3600,
permissions: ['agent:create', 'agent:read']
})
};
fetch('https://apigw.mka1.com/api/v1/authentication/api-key/exchange-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "the-jwt-token"
}{
"message": "Invalid request body",
"details": [
{
"path": "audience",
"message": "Invalid audience"
}
]
}{
"message": "Unauthorized"
}{
"message": "Internal server error"
}Exchange API key for a JWT token
Exchange an API key for a JWT token
Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
JWT audience (aud) claim for the exchanged token. Set this to the target API/service URL that should accept the token.
Your external user identifier to place in the JWT subject (sub) claim. Must be 1–150 printable-ASCII characters and not the wildcard *.
1 - 150^[\x20-\x7E]+$Token lifetime in seconds. Must be between 300 (5 minutes) and 2592000 (30 days). Defaults to 3600 (1 hour).
300 <= x <= 2592000Optional subset of API key permissions to embed in the token. If omitted, all API key permissions are used.
Response
Successfully exchanged API key for a JWT token
Signed JWT exchange token to use when calling downstream services.
Was this page helpful?